(setq date (getvar "date"))
(defun jtoc (td / time a b c d e alpha z m hh mm)
    (setq time (* 86400.0 (- td (setq z (fix td)))))
    (if (< z 2299161)
        (setq a z)
        (setq alpha (fix (/ (- z 1867216.25) 36524.25))
              a (- (+ z 1 alpha) (fix (/ alpha 4)))
        )
    )
 
    (setq b (+ a 1524)
          c (fix (/ (- b 122.1) 365.25))
          d (fix (* 365.25 c))
          e (fix (/ (- b d) 30.6001))
    )
 
    (setq m (fix (if (< e 14) (1- e) (- e 13))))
 
    ; Determine the clock time from the fraction of a day
 
    (setq hh (fix (/ time 3600.0))
          time (- time (* hh 3600.0))
          mm (fix (/ time 60.0))
    )
 
    (list (fix (- c (if (> m 2) 4716 4715))) m (fix (- b d (fix (* 30.6001 e))))
          hh mm
          (- time (* mm 60))
    )
)
(defun princDate(d / )
  (princ "\n")
  (princ (nth 3 d))
  (princ ":")
  (princ (nth 4 d))
  (princ ":")
  (princ (nth 5 d))
)
(princDate (jtoc date))
(defun c:a()
  (setq date (getvar "date"))
  (princDate (jtoc date))
  (princ)
)
(vl-load-com)
(vlr-command-reactor
  nil
  '((:vlr-commandEnded . commandEnded))
)
(defun commandEnded (calling-reactor commandInfo / mdb)
  (setq date (getvar "date"))
  (setq cmd (car commandInfo))
  (princ "\n")
  (princ cmd)
  (princDate (jtoc date))
)